Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.collections
Class WeakIdentityHashMap

    java.lang.Object
      java.util.AbstractMap
          edu.emory.mathcs.util.collections.WeakIdentityHashMap

All Implemented Interfaces:
  java.util.Map

public class WeakIdentityHashMap
extends java.util.AbstractMap

Hash map implementation with weak keys and identity-based comparison semantics. Keys are weakly referenced and not protected from a potential garbage collection. If a key becomes garbage collected, the corresponding entry is discarded. Cleanup is not asynchronous; it piggybacks on other operations. See `WeakHashMap` for a more detailed discussion. This map permits null values, but it does not permit null keys.

Author:
  Dawid Kurzyniec

Constructor Summary
`WeakIdentityHashMap()`
`WeakIdentityHashMap(int initialCapacity)`
`WeakIdentityHashMap(int initialCapacity, float loadFactor)`
`WeakIdentityHashMap(java.util.Map m)`

Method Summary
`void` | `clear()`
`java.lang.Object` | `clone()`
`boolean` | `containsKey(java.lang.Object key)`
`java.util.Set` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object key)`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object val)`
`void` | `putAll(java.util.Map m)`
`java.lang.Object` | `remove(java.lang.Object key)`
`int` | `size()`

Methods inherited from class java.util.AbstractMap
`containsValue, equals, hashCode, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WeakIdentityHashMap

    public WeakIdentityHashMap()

### WeakIdentityHashMap

    public WeakIdentityHashMap(int initialCapacity)

### WeakIdentityHashMap

    public WeakIdentityHashMap(int initialCapacity,
                               float loadFactor)

### WeakIdentityHashMap

    public WeakIdentityHashMap(java.util.Map m)

Method Detail

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object val)

### get

    public java.lang.Object get(java.lang.Object key)

### containsKey

    public boolean containsKey(java.lang.Object key)

### remove

    public java.lang.Object remove(java.lang.Object key)

### clear

    public void clear()

### isEmpty

    public boolean isEmpty()

### size

    public int size()

### putAll

    public void putAll(java.util.Map m)

### entrySet

    public java.util.Set entrySet()

### keySet

    public java.util.Set keySet()

### clone

    public java.lang.Object clone()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD